org.eclipse.aether.connector.basic

## Class BasicRepositoryConnectorFactory

- java.lang.Object
- - org.eclipse.aether.connector.basic.BasicRepositoryConnectorFactory

- All Implemented Interfaces:
    RepositoryConnectorFactory, Service

      @Named(value="basic")
      @Component(role=RepositoryConnectorFactory.class,
                 hint="basic")
      public final class BasicRepositoryConnectorFactory
      extends Object
      implements RepositoryConnectorFactory, Service

  A repository connector factory that employs pluggable `transporters` and `repository layouts` for the transfers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicRepositoryConnectorFactory()` Creates an (uninitialized) instance of this connector factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPriority()` The priority of this factory.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `RepositoryConnector` | `newInstance(RepositorySystemSession session, RemoteRepository repository)` Tries to create a repository connector for the specified remote repository.
    `BasicRepositoryConnectorFactory` | `setChecksumPolicyProvider(ChecksumPolicyProvider checksumPolicyProvider)` Sets the checksum policy provider to use for this component.
    `BasicRepositoryConnectorFactory` | `setFileProcessor(FileProcessor fileProcessor)` Sets the file processor to use for this component.
    `BasicRepositoryConnectorFactory` | `setLoggerFactory(LoggerFactory loggerFactory)` Sets the logger factory to use for this component.
    `BasicRepositoryConnectorFactory` | `setPriority(float priority)` Sets the priority of this component.
    `BasicRepositoryConnectorFactory` | `setRepositoryLayoutProvider(RepositoryLayoutProvider layoutProvider)` Sets the repository layout provider to use for this component.
    `BasicRepositoryConnectorFactory` | `setTransporterProvider(TransporterProvider transporterProvider)` Sets the transporter provider to use for this component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicRepositoryConnectorFactory

          public BasicRepositoryConnectorFactory()

      Creates an (uninitialized) instance of this connector factory. Note: In case of manual instantiation by clients, the new factory needs to be configured via its various mutators before first use or runtime errors will occur.

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public BasicRepositoryConnectorFactory setLoggerFactory(LoggerFactory loggerFactory)

      Sets the logger factory to use for this component.
      Parameters:
        `loggerFactory` - The logger factory to use, may be `null` to disable logging.
      Returns:
        This component for chaining, never `null`.

    - #### setTransporterProvider

          public BasicRepositoryConnectorFactory setTransporterProvider(TransporterProvider transporterProvider)

      Sets the transporter provider to use for this component.
      Parameters:
        `transporterProvider` - The transporter provider to use, must not be `null`.
      Returns:
        This component for chaining, never `null`.

    - #### setRepositoryLayoutProvider

          public BasicRepositoryConnectorFactory setRepositoryLayoutProvider(RepositoryLayoutProvider layoutProvider)

      Sets the repository layout provider to use for this component.
      Parameters:
        `layoutProvider` - The repository layout provider to use, must not be `null`.
      Returns:
        This component for chaining, never `null`.

    - #### setChecksumPolicyProvider

          public BasicRepositoryConnectorFactory setChecksumPolicyProvider(ChecksumPolicyProvider checksumPolicyProvider)

      Sets the checksum policy provider to use for this component.
      Parameters:
        `checksumPolicyProvider` - The checksum policy provider to use, must not be `null`.
      Returns:
        This component for chaining, never `null`.

    - #### setFileProcessor

          public BasicRepositoryConnectorFactory setFileProcessor(FileProcessor fileProcessor)

      Sets the file processor to use for this component.
      Parameters:
        `fileProcessor` - The file processor to use, must not be `null`.
      Returns:
        This component for chaining, never `null`.

    - #### getPriority

          public float getPriority()

      Description copied from interface: `RepositoryConnectorFactory`
      The priority of this factory. When multiple factories can handle a given repository, factories with higher priority are preferred over those with lower priority.
      Specified by:
        `getPriority` in interface `RepositoryConnectorFactory`
      Returns:
        The priority of this factory.

    - #### setPriority

          public BasicRepositoryConnectorFactory setPriority(float priority)

      Sets the priority of this component.
      Parameters:
        `priority` - The priority.
      Returns:
        This component for chaining, never `null`.

    - #### newInstance

          public RepositoryConnector newInstance(RepositorySystemSession session,
                                        RemoteRepository repository)
                                          throws NoRepositoryConnectorException

      Description copied from interface: `RepositoryConnectorFactory`
      Tries to create a repository connector for the specified remote repository. Typically, a factory will inspect `RemoteRepository.getProtocol()` and `RemoteRepository.getContentType()` to determine whether it can handle a repository.
      Specified by:
        `newInstance` in interface `RepositoryConnectorFactory`
      Parameters:
        `session` - The repository system session from which to configure the connector, must not be `null`. In particular, a connector must notify any `RepositorySystemSession.getTransferListener()` set for the session and should obey the timeouts configured for the session.
        `repository` - The remote repository to create a connector for, must not be `null`.
      Returns:
        The connector for the given repository, never `null`.
      Throws:
        `NoRepositoryConnectorException` - If the factory cannot create a connector for the specified remote repository.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.